mp3splt-gtk

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions
freedb_window.c File Reference
`#include "freedb_window.h"`

Go to the source code of this file.

## Enumerations
enum | { ALBUM_NAME, NUMBER, FREEDB_TABLE }

## Functions
GtkWidget * | create_freedb_frame (ui_state *ui)
void | hide_freedb_spinner (gui_state *gui)
void | update_splitpoints_from_mp3splt_state (ui_state *ui)

## Detailed Description

The freedb tab

this file is used for the cddb tab (for searching on freedb)

Definition in file freedb_window.c.

## Function Documentation

GtkWidget* create_freedb_frame | ( | ui_state * | ui | ) |

creates the freedb box

Definition at line 553 of file freedb_window.c.

References wh_create_cool_button().

void update_splitpoints_from_mp3splt_state | ( | ui_state * | ui | ) |

updates the current splitpoints in ui->mp3splt_state

Takes the splitpoints from the table displayed in the gui

max_splits is the maximum number of splitpoints to update

Definition at line 403 of file freedb_window.c.

References add_row(), print_status_bar_confirmation(), remove_all_rows(), transform_to_utf8(), update_hundr_secs_from_spinner(), update_minutes_from_spinner(), and update_seconds_from_spinner().